using Domain.Entities;

namespace Core.Interfaces
{
    public interface IProductCategoryDom
    {
        Task<EProductCategory> AddAsync(EProductCategory unit);
        Task<IEnumerable<EProductCategory>> GetAllAsync();
        Task<EProductCategory?> GetByIdAsync(int id);
        Task<IEnumerable<EProductCategory>> SearchAsync(string term);
        Task<bool> UpdateAsync(EProductCategory unit);
        Task<bool> DeleteAsync(int id);
    }
}
